--- /dev/null	2017-09-04 19:56:08.000000000 +0000
+++ new/usr/src/lib/crt/common/values-xpg4.c	2017-09-04 19:56:10.047972695 +0000
@@ -0,0 +1,34 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License, Version 1.0 only
+ * (the "License").  You may not use this file except in compliance
+ * with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+/*
+ * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+
+#include <sys/types.h>
+/*
+ * Setting thie value to 1 enables XPG4 mode for APIs
+ * which have differing runtime behaviour from XPG3 to XPG4.
+ * See usr/src/lib/libc/port/gen/xpg4.c for the default value.
+ */
+
+int __xpg4 = 1;
--- /dev/null	2017-09-04 19:56:08.000000000 +0000
+++ new/usr/src/lib/crt/common/values-xpg6.c	2017-09-04 19:56:10.458796070 +0000
@@ -0,0 +1,55 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License, Version 1.0 only
+ * (the "License").  You may not use this file except in compliance
+ * with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+/*
+ * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+
+/*
+ * __xpg6 (C99/SUSv3) was first introduced in Solaris 10.
+ *
+ * This file is NOT linked into libc.  See xpg6.c.
+ * This value is linked into an application when the application is
+ * requesting conforming C99/SUSv3 behavior.  This is usually done
+ * with the c99 utility.
+ *
+ * __xpg6 is used to control certain behaviors between the C99 standard,
+ * the SUSv3 standard, and Solaris.  More explanation in inc/xpg6.h.
+ * The XPG6 C compiler utility (c99) will add an object file that contains an
+ * alternate definition for __xpg6.  The symbol interposition provided
+ * by the linker will allow libc to find that symbol instead.
+ *
+ * Possible settings are available and documented in inc/xpg6.h.
+ */
+
+/*
+ * This setting enables strictly conforming C99/SUSv3 behavior.
+ */
+
+#include "xpg6.h"
+
+unsigned int __xpg6 = _C99SUSv3_mode_ON;
+
+/*
+ * Also turn on XPG4 mode.
+ */
+int __xpg4 = 1;
--- /dev/null	2017-09-04 19:56:08.000000000 +0000
+++ new/usr/src/lib/crt/i86/Makefile	2017-09-04 19:56:10.844042016 +0000
@@ -0,0 +1,29 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include ../Makefile.com
+
+install:	$(ROOTOBJECTS)
--- /dev/null	2017-09-04 19:56:08.000000000 +0000
+++ new/usr/src/lib/crt/i86/crti.s	2017-09-04 19:56:11.265257986 +0000
@@ -0,0 +1,86 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License, Version 1.0 only
+ * (the "License").  You may not use this file except in compliance
+ * with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+/*
+ * Copyright (c) 2001 by Sun Microsystems, Inc.
+ * All rights reserved.
+ */
+/*
+ * Copyright (c) 2013, Joyent, Inc.  All rights reserved.
+ */
+
+/*
+ * These crt*.o modules are provided as the bare minimum required
+ * from a crt*.o for inclusion in building low level system
+ * libraries.  The are only be to included in libraries which
+ * contain *no* C++ code and want to avoid the startup code
+ * that the C++ runtime has introduced into the crt*.o modules.
+ *
+ * For further details - see bug#4433015
+ */
+
+	.file	"crti.s"
+
+/*
+ * Note that when _init and _fini are called the stack needs to be 16-byte
+ * aligned with a 4-byte bias.  See comment in lib/libc/i386/gen/makectxt.c.
+ *
+ * Note: If you change it, you need to change it in the following files as
+ * well:
+ *
+ *  - lib/libc/i386/threads/machdep.c
+ *  - lib/libc/i386/gen/makectxt.c
+ *  - lib/crt/i86/mach-crt1.s
+ */
+
+/*
+ * _init function prologue
+ */
+	.section	.init,"ax"
+	.globl	_init
+	.type	_init,@function
+	.align	16
+_init:
+	pushl	%ebp
+	movl	%esp, %ebp
+	andl	$-16,%esp
+	subl	$12,%esp
+	pushl	%ebx
+	call	.L1
+.L1:	popl	%ebx
+	addl	$_GLOBAL_OFFSET_TABLE_+[.-.L1], %ebx
+
+/*
+ * _fini function prologue
+ */
+	.section	.fini,"ax"
+	.globl	_fini
+	.type	_fini,@function
+	.align	16
+_fini:
+	pushl	%ebp
+	movl	%esp, %ebp
+	andl	$-16,%esp
+	subl	$12,%esp
+	pushl	%ebx
+	call	.L2
+.L2:	popl	%ebx
+	addl	$_GLOBAL_OFFSET_TABLE_+[.-.L2], %ebx
--- /dev/null	2017-09-04 19:56:08.000000000 +0000
+++ new/usr/src/lib/crt/i86/crtn.s	2017-09-04 19:56:11.679894004 +0000
@@ -0,0 +1,54 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License, Version 1.0 only
+ * (the "License").  You may not use this file except in compliance
+ * with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+/*
+ * Copyright (c) 2001 by Sun Microsystems, Inc.
+ * All rights reserved.
+ */
+
+/*
+ * These crt*.o modules are provided as the bare minimum required
+ * from a crt*.o for inclusion in building low level system
+ * libraries.  The are only be to included in libraries which
+ * contain *no* C++ code and want to avoid the startup code
+ * that the C++ runtime has introduced into the crt*.o modules.
+ *
+ * For further details - see bug#4433015
+ */
+	.file	"crtn.s"
+
+/*
+ * _init function epilogue
+ */
+	.section	.init,"ax"
+
+	popl	%ebx
+	leave
+	ret
+
+/*
+ * _fini function epilogue
+ */
+	.section	.fini,"ax"
+
+	popl	%ebx
+	leave
+	ret
--- /dev/null	2017-09-04 19:56:08.000000000 +0000
+++ new/usr/src/lib/crt/i86/fsr.s	2017-09-04 19:56:12.104924253 +0000
@@ -0,0 +1,154 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License, Version 1.0 only
+ * (the "License").  You may not use this file except in compliance
+ * with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+/*
+ * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+
+#include <sys/asm_linkage.h>
+
+	.file	"fsr.s"
+
+	.section	.data
+	.align 4
+
+/*
+ * The following table maps trap enable bits in __fsr_init_value
+ * (after shifting right one bit):
+ *
+ * bit 0 - inexact trap
+ * bit 1 - division trap
+ * bit 2 - underflow trap
+ * bit 3 - overflow trap
+ * bit 4 - invalid trap
+ *
+ * to exception masks in the floating point control word
+ *
+ * bit 0 - invalid mask
+ * bit 2 - zero divide mask
+ * bit 3 - overflow mask
+ * bit 4 - underflow mask
+ * bit 5 - inexact mask
+ */
+	.local	trap_table
+	.type	trap_table,@object
+trap_table:
+	.byte	0b11111111
+	.byte	0b11011111
+	.byte	0b11111011
+	.byte	0b11011011
+	.byte	0b11101111
+	.byte	0b11001111
+	.byte	0b11101011
+	.byte	0b11001011
+	.byte	0b11110111
+	.byte	0b11010111
+	.byte	0b11110011
+	.byte	0b11010011
+	.byte	0b11100111
+	.byte	0b11000111
+	.byte	0b11100011
+	.byte	0b11000011
+	.byte	0b11111110
+	.byte	0b11011110
+	.byte	0b11111010
+	.byte	0b11011010
+	.byte	0b11101110
+	.byte	0b11001110
+	.byte	0b11101010
+	.byte	0b11001010
+	.byte	0b11110110
+	.byte	0b11010110
+	.byte	0b11110010
+	.byte	0b11010010
+	.byte	0b11100110
+	.byte	0b11000110
+	.byte	0b11100010
+	.byte	0b11000010
+
+	.size	trap_table,32
+
+ENTRY_NP(__fsr)
+	pushl	%ebp
+	movl	%esp,%ebp
+	pushl	%edx
+	pushl	%ecx
+	pushl	%ebx
+	subl	$4,%esp
+
+	/* Setup PIC */
+	call	9f
+9:	popl	%ebx
+	addl	$_GLOBAL_OFFSET_TABLE_ + [. - 9b], %ebx
+
+	movl	8(%ebp), %ecx		/* the value set by CG is passed in */
+	shrl	$1,%ecx			/* get rid of fns bit */
+	cmpl	$0,%ecx			/* if remaining bits are zero */
+	je	3f			/*   there's nothing to do */
+
+	fstcw	0(%esp)			/* store the control word */
+
+	movl	%ecx,%edx
+	andl	$0x1f,%edx		/* get the trap enable bits */
+	movl	trap_table@GOT(%ebx), %eax
+	addl	%eax,%edx
+	movb	(%edx),%al
+	andb	%al,0(%esp)	/* unmask the corresponding exceptions */
+
+	testl	$0x200,%ecx		/* test denormal trap enable */
+	jz	1f			/* skip if zero */
+
+	andb	$0xfd,0(%esp)	/* unmask denormal exception */
+
+1:
+	movl	%ecx,%edx
+	andl	$0x60,%edx		/* get the rounding direction */
+	jz	1f			/* skip if zero */
+
+	movl	%edx,%eax		/* exchange negative<->tozero */
+	andl	$0x20,%eax		/*   leaving nearest and positive */
+	shll	$1,%eax			/*   as is */
+	xorl	%eax,%edx
+	shll	$5,%edx
+	andw	$0xf3ff,0(%esp)		/* update rounding direction */
+	orw	%dx,0(%esp)
+
+1:
+	andl	$0x180,%ecx		/* get the rounding precision */
+	jz	1f			/* skip if zero */
+
+	xorl	$0x180,%ecx		/* reverse bits */
+	shll	$1,%ecx
+	andw	$0xfcff,0(%esp)		/* update rounding precision */
+	orw	%cx,0(%esp)
+
+1:
+	fldcw	0(%esp)			/* load the modified control word */
+
+3:
+	addl	$4,%esp
+	popl	%ebx
+	popl	%ecx
+	popl	%edx
+	popl	%ebp
+	ret
+SET_SIZE(__fsr)
--- /dev/null	2017-09-04 19:56:12.000000000 +0000
+++ new/usr/src/lib/crt/i86/mach-crt1.s	2017-09-04 19:56:12.522745248 +0000
@@ -0,0 +1,80 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+
+/*
+ * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+#include <sys/asm_linkage.h>
+
+	.file	"mach-crt1.s"
+
+/* global entities defined elsewhere but used here */
+	.globl	_start_crt
+
+/*
+ * C language startup routine.
+ * Assume that exec code has cleared the direction flag in the TSS.
+ * Assume that %esp is set to the addr after the last word pushed.
+ * The stack contains (in order): argc, argv[],envp[],...
+ * Assume that all of the segment registers are initialized.
+ *
+ * Allocate a NULL return address and a NULL previous %ebp as if
+ * there was a genuine call to _start.
+ * debugger stack trace shows _start(argc,argv[0],argv[1],...,envp[0],...)
+ */
+ENTRY_NP(_start)
+	pushl	$0
+	pushl	$0
+	movl	%esp,%ebp		/* The first stack frame */
+
+	/*
+	 * The stack needs to be 16-byte aligned with a 4-byte bias.  See
+	 * comment in lib/libc/i386/gen/makectxt.c.
+	 *
+	 * Note: If you change it, you need to change it in the following
+	 * files as well:
+	 *
+	 *  - lib/libc/i386/threads/machdep.c
+	 *  - lib/libc/i386/gen/makectxt.c
+	 *  - lib/crt/i86/crti.s
+	 */
+	andl	$-16,%esp	/* make main() and exit() be called with */
+	subl	$4,%esp		/* a properly aligned stack pointer */
+	pushl	%edx		/* possible atexit handler */
+	leal	12(%ebp),%edx	/* argv */
+	movl	8(%ebp),%eax	/* argc */
+	pushl	%edx
+	pushl	%eax
+	call	_start_crt
+	hlt
+SET_SIZE(_start)
+
+#include "fsr.s"
+
+/*
+ * The following is here in case any object module compiled with cc -p
+ * was linked into this module.
+ */
+ENTRY_NP(_mcount)
+	.weak	_mcount
+	ret
+SET_SIZE(_mcount)
--- /dev/null	2017-09-04 19:56:12.000000000 +0000
+++ new/usr/src/lib/crt/sparc/crti.s	2017-09-04 19:56:12.706768169 +0000
@@ -0,0 +1,59 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+/*
+ * Copyright (c) 2001 by Sun Microsystems, Inc.
+ * All rights reserved.
+ */
+
+
+/*
+ * These crt*.o modules are provided as the bare minimum required
+ * from a crt*.o for inclusion in building low level system
+ * libraries.  The are only be to included in libraries which
+ * contain *no* C++ code and want to avoid the startup code
+ * that the C++ runtime has introduced into the crt*.o modules.
+ *
+ * For further details - see bug#4433015
+ */
+
+	.file		"crti.s"
+
+#include <sys/asm_linkage.h>
+
+/*
+ * _init function prologue
+ */
+	.section	".init"
+	.global		_init
+	.type		_init, #function
+	.align	4
+_init:
+	save	%sp, -SA(MINFRAME), %sp
+
+/*
+ * _fini function prologue
+ */
+	.section	".fini"
+	.global		_fini
+	.type		_fini, #function
+	.align	4
+_fini:
+	save	%sp, -SA(MINFRAME), %sp
--- /dev/null	2017-09-04 19:56:12.000000000 +0000
+++ new/usr/src/lib/crt/sparc/crtn.s	2017-09-04 19:56:12.889782336 +0000
@@ -0,0 +1,52 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+/*
+ * Copyright (c) 2001 by Sun Microsystems, Inc.
+ * All rights reserved.
+ */
+
+/*
+ * These crt*.o modules are provided as the bare minimum required
+ * from a crt*.o for inclusion in building low level system
+ * libraries.  The are only be to included in libraries which
+ * contain *no* C++ code and want to avoid the startup code
+ * that the C++ runtime has introduced into the crt*.o modules.
+ *
+ * For further details - see bug#4433015
+ */
+
+	.file		"crtn.s"
+
+/*
+ * _init function epilogue
+ */
+	.section	".init"
+	.align		4
+	ret
+	restore
+
+/*
+ * _fini function epilogue
+ */
+	.section	".fini"
+	.align		4
+	ret
+	restore
--- /dev/null	2017-09-04 19:56:13.000000000 +0000
+++ new/usr/src/lib/crt/sparc/mach-crt1.s	2017-09-04 19:56:13.077473908 +0000
@@ -0,0 +1,75 @@
+/*
+ * This file and its contents are supplied under the terms of the
+ * Common Development and Distribution License ("CDDL"), version 1.0.
+ * You may only use this file in accordance with the terms of version
+ * 1.0 of the CDDL.
+ *
+ * A full copy of the text of the CDDL should have accompanied this
+ * source.  A copy of the CDDL is also available via the Internet at
+ * http://www.illumos.org/license/CDDL.
+ */
+
+/*
+ * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+	
+/* Copyright 2016, Richard Lowe. */
+
+#include <sys/asm_linkage.h>
+#include <sys/stack.h>
+
+	.file	"mach-crt1.s"
+
+	.global	_start_crt
+
+#if defined(__sparcv9)
+#define	EB_MAX_SIZE	128
+#else
+#define	EB_MAX_SIZE	64
+#endif
+
+ENTRY_NP(_start)
+	/*
+	 * On entry, the stack is:
+	 *
+	 * .-----------------------.   <--- %sp
+	 * |			   |
+	 * |	    Window	   |
+	 * |			   |
+	 * |-----------------------|
+	 * |	    argc	   |
+	 * |-----------------------|
+	 * |	    argv[0]	   |
+	 * |	    argv[1]	   |
+	 * |	    argv[2]	   |
+	 * |	    argv[3]	   |
+	 * |	    ...		   |
+	 * |	 argv[argc - 1]	   |
+	 * |-----------------------|
+	 * |	      NULL	   |
+	 * |-----------------------|
+	 * |	    envp[0]	   |
+	 * |	    envp[1]	   |
+	 * |	    envp[2]	   |
+	 * |	    envp[3]	   |
+	 * |	     ...	   |
+	 * |	    envp[N]	   |
+	 * |-----------------------|
+	 * |	      NULL	   |
+	 * .-----------------------.
+	 *
+	 * and an exit handler from the linker is in %g1
+	 */
+	clr	%fp		! don't trace the stack past this point 
+
+	add	%sp, WINDOWSIZE + STACK_BIAS, %l0	! address of argc
+
+	! allocate a minimally sized frame, and align ourselves
+	add	%sp, -SA(MINFRAME - EB_MAX_SIZE), %sp
+
+	ldn	[%l0], %o0			! argc
+	add	%l0, CPTRSIZE, %o1	! argv
+	call	_start_crt
+	    mov %g1, %o2			! exit_handler in delay slot
+SET_SIZE(_start)
--- /dev/null	2017-09-04 19:56:13.000000000 +0000
+++ new/usr/src/lib/crt/sparcv7/Makefile	2017-09-04 19:56:13.262495186 +0000
@@ -0,0 +1,29 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include ../Makefile.com
+
+install:	$(ROOTOBJECTS)
--- /dev/null	2017-09-04 19:56:13.000000000 +0000
+++ new/usr/src/lib/crt/sparcv9/Makefile	2017-09-04 19:56:13.689557091 +0000
@@ -0,0 +1,30 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include ../Makefile.com
+include ../../Makefile.lib.64
+
+install:	$(ROOTOBJECTS64)
--- old/usr/src/lib/libc/Makefile.targ	2017-09-04 19:56:14.101350355 +0000
+++ new/usr/src/lib/libc/Makefile.targ	2017-09-04 19:56:14.114278391 +0000
@@ -270,7 +270,7 @@
 	$(COMPILE.c) -o $@ $<
 	$(POST_PROCESS_O)
 
-pics/%.o: $(LIBCBASE)/../../common/common/%.c
+pics/%.o: $(LIBCBASE)/../../crt/common/%.c
 	$(COMPILE.c) -o $@ $<
 	$(POST_PROCESS_O)
 
--- old/usr/src/lib/libc/amd64/Makefile	2017-09-04 19:56:14.500753369 +0000
+++ new/usr/src/lib/libc/amd64/Makefile	2017-09-04 19:56:14.515609365 +0000
@@ -991,7 +991,7 @@
 	plockstat.o
 
 # NOTE:	libc.so.1 must be linked with the minimal crti.o and crtn.o
-# modules whose source is provided in the $(SRC)/lib/common directory.
+# modules whose source is provided in the $(SRC)/lib/crt directory.
 # This must be done because otherwise the Sun C compiler would insert
 # its own versions of these modules and those versions contain code
 # to call out to C++ initialization functions.  Such C++ initialization
@@ -1000,7 +1000,7 @@
 # Since libc contains no C++ code, linking with the minimal crti.o and
 # crtn.o modules is safe and avoids the problems described above.
 OBJECTS= $(CRTI) $(MOSTOBJS) $(CRTN)
-CRTSRCS= ../../common/amd64
+CRTSRCS= ../../crt/amd64
 
 # include common library definitions
 include ../../Makefile.lib
--- old/usr/src/lib/libc/i386/Makefile.com	2017-09-04 19:56:14.928777510 +0000
+++ new/usr/src/lib/libc/i386/Makefile.com	2017-09-04 19:56:14.942292967 +0000
@@ -1033,7 +1033,7 @@
 	plockstat.o
 
 # NOTE:	libc.so.1 must be linked with the minimal crti.o and crtn.o
-# modules whose source is provided in the $(SRC)/lib/common directory.
+# modules whose source is provided in the $(SRC)/lib/crt directory.
 # This must be done because otherwise the Sun C compiler would insert
 # its own versions of these modules and those versions contain code
 # to call out to C++ initialization functions.  Such C++ initialization
@@ -1042,7 +1042,7 @@
 # Since libc contains no C++ code, linking with the minimal crti.o and
 # crtn.o modules is safe and avoids the problems described above.
 OBJECTS= $(CRTI) $(MOSTOBJS) $(CRTN)
-CRTSRCS= ../../common/i386
+CRTSRCS= ../../crt/i86
 
 LDPASS_OFF=	$(POUND_SIGN)
 
--- old/usr/src/lib/libc/i386/gen/makectxt.c	2017-09-04 19:56:15.393666347 +0000
+++ new/usr/src/lib/libc/i386/gen/makectxt.c	2017-09-04 19:56:15.406427311 +0000
@@ -64,8 +64,8 @@
  * files as well:
  *
  *  - lib/libc/i386/threads/machdep.c
- *  - lib/common/i386/crti.s
- *  - lib/common/i386/crt1.s
+ *  - lib/crt/i86/crti.s
+ *  - lib/crt/i86/crt1.s
  */
 #undef	STACK_ALIGN
 #define	STACK_ALIGN	16
--- old/usr/src/lib/libc/i386/threads/machdep.c	2017-09-04 19:56:15.806224682 +0000
+++ new/usr/src/lib/libc/i386/threads/machdep.c	2017-09-04 19:56:15.819699093 +0000
@@ -36,8 +36,8 @@
  * well:
  *
  *  - lib/libc/i386/gen/makectxt.c
- *  - lib/common/i386/crti.s
- *  - lib/common/i386/crt1.s
+ *  - lib/crt/i86/crti.s
+ *  - lib/crt/i86/crt1.s
  */
 #undef	STACK_ALIGN
 #define	STACK_ALIGN	16
@@ -86,7 +86,7 @@
 
 int
 setup_context(ucontext_t *ucp, void *(*func)(ulwp_t *),
-	ulwp_t *ulwp, caddr_t stk, size_t stksize)
+    ulwp_t *ulwp, caddr_t stk, size_t stksize)
 {
 	static int initialized;
 	static greg_t fs, es, ds, cs, ss;
@@ -210,10 +210,10 @@
 
 int
 __csigsetjmp(greg_t cs, greg_t ss, greg_t gs,
-	greg_t fs, greg_t es, greg_t ds,
-	greg_t edi, greg_t esi, greg_t ebp, greg_t esp,
-	greg_t ebx, greg_t edx, greg_t ecx, greg_t eax, greg_t eip,
-	sigjmp_buf env, int savemask)
+    greg_t fs, greg_t es, greg_t ds,
+    greg_t edi, greg_t esi, greg_t ebp, greg_t esp,
+    greg_t ebx, greg_t edx, greg_t ecx, greg_t eax, greg_t eip,
+    sigjmp_buf env, int savemask)
 {
 	ucontext_t *ucp = (ucontext_t *)env;
 	ulwp_t *self = curthread;
--- old/usr/src/lib/libc/req.flg	2017-09-04 19:56:16.205231095 +0000
+++ new/usr/src/lib/libc/req.flg	2017-09-04 19:56:16.219639731 +0000
@@ -28,4 +28,4 @@
 find_files "s.*" usr/src/common/dtrace
 find_files "s.*" usr/src/common/secflags
 find_files "s.*" usr/src/common/util
-find_files "s.*" usr/src/lib/common
+find_files "s.*" usr/src/lib/crt
--- old/usr/src/lib/libc/sparc/Makefile.com	2017-09-04 19:56:16.560569251 +0000
+++ new/usr/src/lib/libc/sparc/Makefile.com	2017-09-04 19:56:16.572476350 +0000
@@ -1064,7 +1064,7 @@
 	plockstat.o
 
 # NOTE:	libc.so.1 must be linked with the minimal crti.o and crtn.o
-# modules whose source is provided in the $(SRC)/lib/common directory.
+# modules whose source is provided in the $(SRC)/lib/crt directory.
 # This must be done because otherwise the Sun C compiler would insert
 # its own versions of these modules and those versions contain code
 # to call out to C++ initialization functions.  Such C++ initialization
@@ -1073,7 +1073,7 @@
 # Since libc contains no C++ code, linking with the minimal crti.o and
 # crtn.o modules is safe and avoids the problems described above.
 OBJECTS= $(CRTI) $(MOSTOBJS) $(CRTN)
-CRTSRCS= ../../common/sparc
+CRTSRCS= ../../crt/sparcv7
 
 # include common library definitions
 include $(SRC)/lib/Makefile.lib
--- old/usr/src/lib/libc/sparcv9/Makefile.com	2017-09-04 19:56:16.993706052 +0000
+++ new/usr/src/lib/libc/sparcv9/Makefile.com	2017-09-04 19:56:17.008277638 +0000
@@ -1004,7 +1004,7 @@
 	plockstat.o
 
 # NOTE:	libc.so.1 must be linked with the minimal crti.o and crtn.o
-# modules whose source is provided in the $(SRC)/lib/common directory.
+# modules whose source is provided in the $(SRC)/lib/crt directory.
 # This must be done because otherwise the Sun C compiler would insert
 # its own versions of these modules and those versions contain code
 # to call out to C++ initialization functions.  Such C++ initialization
@@ -1013,7 +1013,7 @@
 # Since libc contains no C++ code, linking with the minimal crti.o and
 # crtn.o modules is safe and avoids the problems described above.
 OBJECTS= $(CRTI) $(MOSTOBJS) $(CRTN)
-CRTSRCS= ../../common/sparcv9
+CRTSRCS= ../../crt/sparcv9
 
 # include common library definitions
 include $(SRC)/lib/Makefile.lib
--- old/usr/src/lib/libc_db/amd64/Makefile	2017-09-04 19:56:17.445705645 +0000
+++ new/usr/src/lib/libc_db/amd64/Makefile	2017-09-04 19:56:17.457909813 +0000
@@ -23,10 +23,8 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
-CRTSRCS= ../../common/amd64
+CRTSRCS= ../../crt/amd64
 
 include ../Makefile.com
 include ../../Makefile.lib.64
--- old/usr/src/lib/libc_db/i386/Makefile	2017-09-04 19:56:17.829041091 +0000
+++ new/usr/src/lib/libc_db/i386/Makefile	2017-09-04 19:56:17.844097002 +0000
@@ -23,10 +23,8 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
-CRTSRCS= ../../common/i386
+CRTSRCS= ../../crt/i86
 
 include ../Makefile.com
 
--- old/usr/src/lib/libc_db/sparc/Makefile	2017-09-04 19:56:18.214094836 +0000
+++ new/usr/src/lib/libc_db/sparc/Makefile	2017-09-04 19:56:18.227678918 +0000
@@ -23,10 +23,8 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
-CRTSRCS= ../../common/sparc
+CRTSRCS= ../../crt/sparcv7
 
 include ../Makefile.com
 
--- old/usr/src/lib/libc_db/sparcv9/Makefile	2017-09-04 19:56:18.587677053 +0000
+++ new/usr/src/lib/libc_db/sparcv9/Makefile	2017-09-04 19:56:18.599995321 +0000
@@ -23,10 +23,8 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
-CRTSRCS= ../../common/sparcv9
+CRTSRCS= ../../crt/sparcv9
 
 include ../Makefile.com
 include ../../Makefile.lib.64
--- old/usr/src/lib/libnsl/Makefile.com	2017-09-04 19:56:18.945032186 +0000
+++ new/usr/src/lib/libnsl/Makefile.com	2017-09-04 19:56:18.957648836 +0000
@@ -188,7 +188,7 @@
 CCFLAGS += $(NOEXCEPTIONS)
 CCFLAGS64 += $(NOEXCEPTIONS)
 
-CPPFLAGS +=	-I$(SRC)/lib/common/inc -I$(SRC)/lib/libnsl/include -D_REENTRANT
+CPPFLAGS +=	-I$(SRC)/lib/libnsl/include -D_REENTRANT
 CPPFLAGS +=	-I$(SRC)/lib/libnsl/dial
 
 CFLAGS +=	$(CCVERBOSE)
--- old/usr/src/lib/req.flg	2017-09-04 19:56:19.322367278 +0000
+++ new/usr/src/lib/req.flg	2017-09-04 19:56:19.331309235 +0000
@@ -23,14 +23,12 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 echo_file usr/src/lib/Makefile.lib
 echo_file usr/src/lib/Makefile.targ
 echo_file usr/src/lib/Makefile.mach
 echo_file usr/src/lib/Makefile.lib.64
 echo_file usr/src/lib/Makefile.rootfs
-find_files "s.*" usr/src/lib/common
+find_files "s.*" usr/src/lib/crt
 find_files "s.*" usr/src/common/mapfiles
 exec_file usr/src/cmd/req.flg
